import {select, 
        arc, 
        csv, 
        scaleLinear, 
        axisLeft, 
        axisBottom,
        max, 
        scaleBand} from "d3";


const svg= select('svg');

const height = +svg.attr("height");
const width = +svg.attr("width");

const render = data =>{
  const xvalue = d => d.population;
  const yvalue = d => d.country;
  const margin ={top: 20, right: 40, bottom:20, left: 100};
  const innerWidth = width-margin.left-margin.right;
  const innerHeight = height-margin.top-margin.bottom;
  
  const xScale = scaleLinear()
  	.domain([0, max(data, xvalue) ])
  	.range([0, innerWidth]);
    
  const yScale = scaleBand()
  	.domain(data.map(yvalue))
 		.range([0, innerHeight])
  	.padding(.1);
  
 
    const g = svg.append('g')
  	.attr('transform', `translate(${margin.left}, ${margin.top})`)
    
  
g.append('g').call(axisLeft(yScale));
g.append('g').call(axisBottom(xScale))
  .attr('transform', `translate(0, ${innerHeight})`);
   
  g.selectAll('rect').data(data)
  .enter().append('rect')
  	.attr('y', d=> yScale(yvalue(d)))
  	.attr('width', d=>xScale(xvalue(d)))
  	.attr('height', yScale.bandwidth());
                      };
	

	csv('data.csv').then(data => {
  data.forEach (d =>{d.population = +d.population*1000;});
  
  
  render(data)
                              
                             });

